## r-cran-airr 1.3.0

=== DESCRIPTION ===
Package: airr
Type: Package
Version: 1.3.0
Date: 2020-05-26
Authors@R: c(person("Jason", "Vander Heiden", role=c("aut", "cre"), 
                    email="jason.vanderheiden@gmail.com"),
             person("Susanna", "Marquez", role=c("aut"), 
                    email="susanna.marquez@yale.edu"),
             person("Scott", "Christley", role=c("aut"), 
                    email="Scott.Christley@UTSouthwestern.edu"),
             person("AIRR Community", role=c("cph")))
Title: AIRR Data Representation Reference Library
Description: Schema definitions and read, write and validation tools for data 
    formatted in accordance with the AIRR Data Representation schemas defined 
    by the AIRR Community <http://docs.airr-community.org>.
License: CC BY 4.0
URL: http://docs.airr-community.org
BugReports: https://github.com/airr-community/airr-standards/issues
LazyData: true
BuildVignettes: true
VignetteBuilder: knitr
Encoding: UTF-8
Depends: R (>= 3.1.2)
Imports: methods, readr, stats, stringi, yaml
Suggests: knitr, rmarkdown, testthat
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-05-26 16:31:05 UTC; vandej27
Author: Jason Vander Heiden [aut, cre],
  Susanna Marquez [aut],
  Scott Christley [aut],
  AIRR Community [cph]
Maintainer: Jason Vander Heiden <jason.vanderheiden@gmail.com>
Repository: CRAN
Date/Publication: 2020-05-27 05:30:18 UTC

=== debian/changelog ===
r-cran-airr (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 17 Oct 2020 22:30:48 +0200

r-cran-airr (1.3.0-1) unstable; urgency=medium

  * Initial release (closes: #970032)

 -- Steffen Moeller <moeller@debian.org>  Thu, 10 Sep 2020 18:29:12 +0200

=== debian/control ===
Source: r-cran-airr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-readr,
               r-cran-stringi,
               r-cran-yaml
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-airr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-airr.git
Homepage: https://cran.r-project.org/package=airr
Rules-Requires-Root: no

Package: r-cran-airr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R AIRR data representation reference library
 Schema definitions and read, write and validation tools for data
 formatted in accordance with the AIRR Data Representation schemas defined
 by the AIRR Community <http://docs.airr-community.org>.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/airr_([-\d.]*)\.tar\.gz

## r-cran-airr 1.4.1+dfsg

=== DESCRIPTION ===
Package: airr
Type: Package
Version: 1.4.1
Date: 2022-08-27
Authors@R: c(person("Jason", "Vander Heiden", role=c("aut", "cre"), 
                    email="jason.vanderheiden@gmail.com"),
             person("Susanna", "Marquez", role=c("aut"), 
                    email="susanna.marquez@yale.edu"),
             person("Scott", "Christley", role=c("aut"), 
                    email="Scott.Christley@UTSouthwestern.edu"),
             person("Katharina", "Imkeller", role=c("aut"), 
                    email="imkeller@embl.de"),
             person("Ulrik", " Stervbo", role=c("aut"),
                    email="ulrik.stervbo@elisabethgruppe.de"),
             person("AIRR Community", role=c("cph")))
Title: AIRR Data Representation Reference Library
Description: Schema definitions and read, write and validation tools for data 
    formatted in accordance with the AIRR Data Representation schemas defined 
    by the AIRR Community <http://docs.airr-community.org>.
License: CC BY 4.0
URL: http://docs.airr-community.org
BugReports: https://github.com/airr-community/airr-standards/issues
BuildVignettes: true
VignetteBuilder: knitr
Encoding: UTF-8
Depends: R (>= 3.1.2)
Imports: jsonlite, methods, readr, stats, stringi, tools, yaml
Suggests: knitr, rmarkdown, tibble, testthat
RoxygenNote: 7.2.1
NeedsCompilation: no
Packaged: 2022-08-27 23:31:57 UTC; vandej27
Author: Jason Vander Heiden [aut, cre],
  Susanna Marquez [aut],
  Scott Christley [aut],
  Katharina Imkeller [aut],
  Ulrik Stervbo [aut],
  AIRR Community [cph]
Maintainer: Jason Vander Heiden <jason.vanderheiden@gmail.com>
Repository: CRAN
Date/Publication: 2022-08-28 15:10:05 UTC

=== debian/changelog ===
r-cran-airr (1.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Mon, 12 Sep 2022 15:12:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: r-cran-airr
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-airr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-airr.git
+Homepage: https://cran.r-project.org/package=airr
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
+               r-cran-jsonlite,
                r-cran-readr,
                r-cran-stringi,
                r-cran-yaml
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-airr
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-airr.git
-Homepage: https://cran.r-project.org/package=airr
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-airr
 Architecture: all

## r-cran-airr 1.5.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: airr
 Type: Package
-Version: 1.4.1
-Date: 2022-08-27
+Version: 1.5.0
+Date: 2023-08-29
 Authors@R: c(person("Jason", "Vander Heiden", role=c("aut", "cre"), 
                     email="jason.vanderheiden@gmail.com"),
              person("Susanna", "Marquez", role=c("aut"), 
@@ -26,9 +26,9 @@
 Depends: R (>= 3.1.2)
 Imports: jsonlite, methods, readr, stats, stringi, tools, yaml
 Suggests: knitr, rmarkdown, tibble, testthat
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-08-27 23:31:57 UTC; vandej27
+Packaged: 2023-08-29 18:26:34 UTC; vandej27
 Author: Jason Vander Heiden [aut, cre],
   Susanna Marquez [aut],
   Scott Christley [aut],
@@ -37,4 +37,4 @@
   AIRR Community [cph]
 Maintainer: Jason Vander Heiden <jason.vanderheiden@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-08-28 15:10:05 UTC
+Date/Publication: 2023-08-29 18:50:02 UTC

=== debian/changelog ===
r-cran-airr (1.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Disable reprotest
  * Standards-Version: 4.6.2 (routine-update)
  * Drop autopkgtest since upstream removed tests

 -- Andreas Tille <tille@debian.org>  Thu, 31 Aug 2023 16:57:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-airr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-airr.git
 Homepage: https://cran.r-project.org/package=airr
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/airr_([-\d.]*)\.tar\.gz

## r-cran-airr 1.6.1+dfsg

=== debian/changelog ===
r-cran-airr (1.6.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * Add autopkgtests.

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Feb 2026 08:47:26 +0900

=== debian/control ===
Source: r-cran-airr
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-jsonlite,
 r-cran-readr,
 r-cran-stringi,
 r-cran-yaml,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-airr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-airr.git
Homepage: https://cran.r-project.org/package=airr
Rules-Requires-Root: no

Package: r-cran-airr
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R AIRR data representation reference library
 Schema definitions and read, write and validation tools for data
 formatted in accordance with the AIRR Data Representation schemas defined
 by the AIRR Community <http://docs.airr-community.org>.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-knitr,
 r-cran-rmarkdown,
 r-cran-tibble,
 r-cran-testthat,
